## maint-guide 1.2.36

=== Makefile ===
#######################################################################
# Build maint-guide
# vim: set ts=8:
#######################################################################
### key adjustable parameters
#######################################################################
# base file name excluding file extension
MANUAL	:=	maint-guide
# languages translated with PO files
LANGPO	:=	ca de es fr it ja ru zh-cn zh-tw
# languages to skip generation of PDF files
NOPDF	:=	ja zh-cn zh-tw
# languages to build document
LANGALL	=	en $(LANGPO)

VERSION := "GIT: $(shell LC_ALL=C date -u +'%F %T %Z')"

ifndef TMPDIR
TMPDIR	:= $(CURDIR)/tmp
endif

# Change $(DRAFTMODE) from "yes" to "maybe" when this document 
# should go into production mode
#DRAFTMODE      := yes
DRAFTMODE       := maybe
export DRAFTMODE
#######################################################################
### basic constant parameters
#######################################################################
# Directories (no trailing slash)
DXSL	:=	xslt
DBIN	:=	bin
DDOC	:=	doc
DPO	:=	po
DIMG	:=	/usr/share/xml/docbook/stylesheet/nwalsh/images

# Program name and option
XLINT	:=	xmllint --format
XPNO	:=	xsltproc --novalid --nonet
XPINC	:=	xsltproc --novalid --nonet --xinclude
# The threshold should be 80 if translation is completed.
THRESHOLD:=	0
TRANSLATE:=	po4a-translate  -M utf-8          --format docbook --keep $(THRESHOLD) -v 
GETTEXT	:=	po4a-gettextize -M utf-8 -L utf-8 --format docbook
UPDATEPO:=	msgmerge --update --previous
MSGATTR	:=	msgattrib
MSGCAT	:=	msgcat
DBLATEX	:=	dblatex

# English source files
DOCS	:=	$(shell ls $(DDOC)/*)
# source XML inclusion files (excluding version.ent)
ENT_STAT:=	common.ent $(addsuffix .ent, $(addprefix  $(DPO)/, $(LANGPO)))
ENT_ALL	:=	$(ENT_STAT) version.ent
# source PO files for all languages (build prcess requires these)
SRC_PO	:=	$(addsuffix .po, $(addprefix  $(DPO)/, $(LANGPO)))
# source XML files for all languages (build prcess requires these)
SRC_XML	:=	$(addsuffix .xml, $(addprefix  $(MANUAL)., $(LANGALL)))

#######################################################################
# Used as $(call check-command, <command>, <package>)
define check-command
set -e; if ! which $(1) >/dev/null; then \
  echo "Missing command: $(1), install package: $(2)"; \
  false; \
fi
endef

#######################################################################
# $ make all       # build all
#######################################################################
.PHONY: all
# set LANGPO to limit language to speed up build
all: css html txt pdf epub 

#######################################################################
# $ make test      # build html for testing (for Translator)
#######################################################################
.PHONY: test
test: html css

#######################################################################
# $ make publish   # build html text from EN.XML/PO for DDP
#######################################################################
.PHONY: package
# $(PUBLISHDIR) is set to be: /org/www.debian.org/www/doc/manuals for master-www
publish:
	-mkdir -p $(PUBLISHDIR)/$(MANUAL)
	$(MAKE) css html txt "TMPDIR=$(PUBLISHDIR)/$(MANUAL)"

#######################################################################
# $ make clean     # clean files ready for tar 
#######################################################################
.PHONY: clean
clean:
	-rm -f $(MANUAL).en.xml
	-rm -f *.swp *~ *.tmp
	-rm -f $(DPO)/*~ $(DPO)/*.mo $(DPO)/*.po.*
	-rm -rf $(TMPDIR)
	-rm -f $(addsuffix .xml, $(addprefix $(MANUAL)., $(LANGPO) en))
	-rm -f version.ent

#######################################################################
# $ make distclean # clean files to reset EN.XML/ENT/POT
#######################################################################
.PHONY: distclean
distclean: clean
	-rm -f $(DDOC)/*~
	-rm -f $(DPO)/*.pot
	-rm -f fuzzy.log

##############################################################################
# Version file preparations
##############################################################################
# version from debian/changelog
# if for www-master directly building from subversion source 
version.ent: $(DOCS)
	echo "<!ENTITY docisodate \"$(shell LC_ALL=C date -u +'%F %T %Z')\">" > version.ent
	echo "<!ENTITY docversion \"$(VERSION)\">" >> version.ent

#######################################################################
# $ make po        # update all PO from EN.XML
#######################################################################
.PHONY: po pot
pot: $(DPO)/templates.pot
po: $(SRC_PO)

# Do not record line number to avoid useless diff in po/*.po files: --no-location
# Do not update templates.pot if contents are the same as before; -I '^"POT-Creation-Date:'
$(DPO)/templates.pot: $(MANUAL).en.xml FORCE
	@$(call check-command, po4a-gettextize, po4a)
	@$(call check-command, msgcat, gettext)
	$(GETTEXT) -m $(MANUAL).en.xml | $(MSGCAT) --no-location -o $(DPO)/templates.pot.new -
	if diff -I '^"POT-Creation-Date:' -q $(DPO)/templates.pot $(DPO)/templates.pot.new ; then \
	  echo "Don't update templates.pot" ;\
	  touch $(DPO)/templates.pot ;\
	  rm -f $(DPO)/templates.pot.new ;\
	else \
	  echo "Update templates.pot" ;\
	  mv -f $(DPO)/templates.pot.new $(DPO)/templates.pot ;\
	fi
	: > fuzzy.log

# Always update
$(DPO)/%.po: $(DPO)/templates.pot FORCE
	@$(call check-command, msgmerge, gettext)
	$(UPDATEPO) $(DPO)/$*.po $(DPO)/templates.pot
	MESS1="no-obsolete  $*  `$(MSGATTR) --no-obsolete  $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	MESS2="untranslated $*  `$(MSGATTR) --untranslated $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	MESS3="fuzzy        $*  `$(MSGATTR) --fuzzy        $(DPO)/$*.po |grep ^msgid |sed 1d|wc -l`";\
	echo "$$MESS1" >>fuzzy.log ; \
	echo "$$MESS2" >>fuzzy.log ; \
	echo "$$MESS3" >>fuzzy.log ; \
	echo "" >>fuzzy.log

FORCE:

#######################################################################
# $ make wrap       # wrap all PO
#######################################################################
.PHONY: wrap nowrap wip
wrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX $$XX ;\
	done
nowrap:
	@$(call check-command, msgcat, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGCAT) -o $$XX --no-wrap $$XX ;\
	done

wip:
	@$(call check-command, msgattrib, gettext)
	for XX in $(foreach LX, $(LANGPO), $(DPO)/$(LX).po); do \
	$(MSGATTR) -o $$XX.fuzz --fuzzy        $$XX ;\
	$(MSGATTR) -o $$XX.untr --untranslated $$XX ;\
	done

#######################################################################
# $ make xml      # update all *.xml (EN.XML ...) from DOCS /ENT/PO/ADD
#######################################################################
.PHONY: xml
xml: $(SRC_XML)

$(MANUAL).en.xml: $(DOCS)
	: > $@
	for i in $(DOCS) ; do cat $$i >> $@ ; done

$(MANUAL).%.xml: $(DPO)/%.po $(MANUAL).en.xml
	@$(call check-command, po4a-translate, po4a)
	@$(call check-command, msgcat, gettext)
	if [ -f $(DPO)/$*.add ]; then \
	$(TRANSLATE) -m $(MANUAL).en.xml -a $(DPO)/$*.add -p $(DPO)/$*.po -l $(MANUAL).$*.xml ;\
	else \
	$(TRANSLATE) -m $(MANUAL).en.xml -p $(DPO)/$*.po -l $(MANUAL).$*.xml ;\
	fi
	sed -i -e 's/$(DPO)\/en\.ent/$(DPO)\/$*.ent/' $@

#######################################################################
# $ make css       # update CSS and DIMG in $(TMPDIR)
#######################################################################
.PHONY: css
css:
	-rm -rf $(TMPDIR)/images
	mkdir -p $(TMPDIR)/images
	cp -f $(DXSL)/debian.css $(TMPDIR)/debian.css
	echo "AddCharset UTF-8 .txt" > $(TMPDIR)/.htaccess
	cd png ; cp caution.png home.png important.png next.png note.png prev.png tip.png warning.png $(TMPDIR)/images

#######################################################################
# $ make html      # update all HTML in $(TMPDIR)
#######################################################################
.PHONY: html
html:	$(foreach LX, $(LANGALL), $(TMPDIR)/index.$(LX).html)

$(TMPDIR)/index.%.html: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)
	$(XPINC)   --stringparam base.dir $(TMPDIR)/ \
                --stringparam html.ext .$*.html \
                $(DXSL)/style-html.xsl $<

#######################################################################
# $ make txt       # update all Plain TEXT in $(TMPDIR)
#######################################################################
.PHONY: txt
txt:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).txt)

# txt.xsl provides work around for hidden URL links by appending them explicitly.
$(TMPDIR)/$(MANUAL).%.txt: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, w3m, w3m)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)
	@test -n "`which w3m`"  || { echo "ERROR: w3m not found. Please install the w3m package." ; false ;  }
	$(XPINC) $(DXSL)/style-txt.xsl $< | \
	  LC_ALL=en_US.UTF-8 w3m -o display_charset=UTF-8 -cols 70 -dump -no-graph -T text/html > $@


#######################################################################
# $ make pdf       # update all PDF in $(TMPDIR)
#######################################################################
.PHONY: pdf
pdf:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).pdf)

$(foreach LX, $(NOPDF), $(TMPDIR)/$(MANUAL).$(LX).pdf):
	-mkdir -p $(TMPDIR)
	echo "PDF generation skipped." >$@

# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(TMPDIR)/$(MANUAL).%.pdf: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, dblatex, dblatex)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)/pdf-$*
	@test -n "`which $(DBLATEX)`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS=".:"; \
	export TMPDIR="$(TMPDIR)/pdf-$*"; \
	$(XPINC) $(DXSL)/dblatex.xsl $<  | \
	$(DBLATEX) --style=native \
		--debug \
		--backend=xetex \
		--xsl-user=$(DXSL)/user_param.xsl \
		--xsl-user=$(DXSL)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################
# $ make tex       # update all TeX source in $(TMPDIR)
#######################################################################
.PHONY: tex
tex:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).tex)

# dblatex.xsl provide work around for hidden URL links by appending them explicitly.
$(TMPDIR)/$(MANUAL).%.tex: $(MANUAL).%.xml $(ENT_ALL)
	-mkdir -p $(TMPDIR)/tex-$*
	@test -n "`which $(DBLATEX)`"  || { echo "ERROR: dblatex not found. Please install the dblatex package." ; false ;  }
	export TEXINPUTS=".:"; \
	export TMPDIR="$(TMPDIR)/tex-$*"; \
	$(XPINC) $(DXSL)/dblatex.xsl $<  | \
	$(DBLATEX) --style=native \
		--debug \
		--type=tex \
		--backend=xetex \
		--xsl-user=$(DXSL)/user_param.xsl \
		--xsl-user=$(DXSL)/xetex_param.xsl \
		--param=draft.mode=$(DRAFTMODE) \
		--param=lingua=$* \
		--output=$@ - || { echo "OMG!!!!!! XXX_CHECK_XXX ... Do not worry ..."; true ; }

#######################################################################
# $ make epub      # update all epub in $(TMPDIR)
#######################################################################
.PHONY: epub
epub:	$(foreach LX, $(LANGALL), $(TMPDIR)/$(MANUAL).$(LX).epub)

$(TMPDIR)/$(MANUAL).%.epub: $(MANUAL).%.xml $(ENT_ALL)
	@$(call check-command, xsltproc, xsltproc)
	-mkdir -p $(TMPDIR)/epub-$*/
	cd $(TMPDIR)/epub-$*/ ; $(XPINC) $(CURDIR)/$(DXSL)/style-epub.xsl $(CURDIR)/$<
	cp -f $(DXSL)/mimetype $(TMPDIR)/epub-$*/mimetype
	cp -f $(DXSL)/debian.css $(TMPDIR)/epub-$*/OEBPS/debian.css
	cp -f $(DXSL)/debian-openlogo.png $(TMPDIR)/epub-$*/OEBPS/debian-openlogo.png
	cd $(TMPDIR)/epub-$*/ ; zip -r $@ ./

#######################################################################
### Utility targets

=== debian/changelog ===
maint-guide (1.2.36) unstable; urgency=medium

  * Update zh-* by lumin.  Closes: #769745, #770253, #776932
  * Reactivate the creation of the zh-cn and zh-tw packages.
  * Update icons and CSS matching debmake-doc.

 -- Osamu Aoki <osamu@debian.org>  Tue, 09 Jun 2015 21:02:12 +0900

=== debian/control ===
Source: maint-guide
Section: doc
Priority: optional
Maintainer: Osamu Aoki <osamu@debian.org>
Uploaders: Josip Rodin <joy-packages@debian.org>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: dblatex,
                     docbook-xml,
                     docbook-xsl,
                     fonts-ipafont,
                     fonts-liberation,
                     ghostscript,
                     gsfonts,
                     lmodern,
                     po4a,
                     texlive-lang-chinese,
                     texlive-lang-cyrillic,
                     texlive-lang-french,
                     texlive-lang-german,
                     texlive-lang-italian,
                     texlive-lang-japanese,
                     texlive-lang-spanish,
                     texlive-xetex,
                     tipa,
                     w3m,
                     xsltproc,
                     zip
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/ddp/maint-guide.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=ddp/maint-guide.git
Homepage: http://www.debian.org/doc/devel-manuals#maint-guide

Package: maint-guide
Architecture: all
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package

Package: maint-guide-ca
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (Catalan)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Catalan translation.

Package: maint-guide-de
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (German)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is German translation.

Package: maint-guide-es
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (Spanish)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Spanish translation.

Package: maint-guide-fr
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (French)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is French translation.

Package: maint-guide-it
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (Italian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Italian translation.

Package: maint-guide-ja
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (Japanese)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Japanese translation.

Package: maint-guide-ru
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (Russian)
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Russian translation.

Package: maint-guide-zh-cn
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (Chinese(cn))
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Chinese(cn) translation.

Package: maint-guide-zh-tw
Architecture: all
Priority: extra
Depends: ${misc:Depends}
Suggests: debian-policy,
          developers-reference,
          devscripts,
          dh-make,
          doc-base,
          dupload | dput,
          fakeroot,
          lintian,
          pbuilder,
          quilt
Description: Debian New Maintainers' Guide (Chinese(tw))
 This package contains the Debian New Maintainers' Guide.
 .
 This document tries to describe the building of a Debian package to ordinary
 Debian users and prospective developers. It uses fairly non-technical
 language, and it's well covered with working examples.
 .
 The document contains these chapters:
     * 1 Getting started The Right Way
     * 2 First steps
     * 3 Modifying the source
     * 4 Required files under debian directory
     * 5 Other files under debian directory
     * 6 Building the package
     * 7 Checking the package for errors
     * 8 Uploading the package
     * 9 Updating the package
 .
 This is Chinese(tw) translation.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MANUAL		:= maint-guide

# Languages which generate DocBook XML files from PO files
# (More conservative than the ones in Makefile)
LANGPO		:= ca de es fr it ja ru zh-cn zh-tw

# Override main Makefile to build CJK under sid
# No PDF build for these lunguages
LANGNOPDF	:= ja zh-cn zh-tw 

## comment out to build with the cleaner log (it slows!)
#BUILDOPT	:= --parallel
BUILDOPT	:=

VERSION		:= $(shell sed -ne '1s/[-a-zA-Z0-9 ]*(\([^()]*\)) .*$$/\1/p' debian/changelog)

#######################################################################
# If you added/removed translation, please run "debian/rules prep"
# to update the debian/control file
#######################################################################
prep:
	cd debian ;\
	cp -f control control-old ;\
	sed -e '/^Package: maint-guide-/,$$d' < control-old > control ;\
	for x in $(LANGPO); do \
		./language $$x < template/control-body >> control; \
	done
.PHONY: prep
#######################################################################
%:
	dh  $@

override_dh_auto_build:
	cd debian ;\
	./language "en" < template/install > $(MANUAL).install ;\
	./language "en" < template/doc-base > $(MANUAL).doc-base ;\
	./language "en" < template/lintian-overrides > $(MANUAL).lintian-overrides ;\
	for x in $(LANGPO); do \
		./language $$x < template/install > $(MANUAL)-$$x.install; \
		./language $$x < template/doc-base > $(MANUAL)-$$x.doc-base; \
		./language $$x < template/lintian-overrides > $(MANUAL)-$$x.lintian-overrides; \
	done
	dh_auto_build $(BUILDOPT) -- \
		"MANUAL=$(MANUAL)" \
		"VERSION=$(VERSION)" \
		"LANGPO=$(LANGPO)" \
		"LANGNOPDF=$(LANGNOPDF)" \
		all

override_dh_compress:
	dh_compress -X.pdf -X.epub

override_dh_auto_clean:
	-rm -f debian/control-old
	-rm -f debian/*.install
	-rm -f debian/*.doc-base
	-rm -f debian/*.lintian-overrides
	$(MAKE) "LANGPO=$(LANGPO)"  clean

## maint-guide 1.2.37

=== debian/changelog ===
maint-guide (1.2.37) unstable; urgency=medium

  * Update to mention debmake-doc.
  * Update zh-* and others. 

 -- Osamu Aoki <osamu@debian.org>  Wed, 07 Dec 2016 23:44:57 +0900

=== debian/control ===
--- 
+++ 
@@ -25,9 +25,9 @@
                      w3m,
                      xsltproc,
                      zip
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/ddp/maint-guide.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=ddp/maint-guide.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/ddp/maint-guide.git
+Vcs-Browser: https://anonscm.debian.org/cgit/dp/maint-guide.git
 Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
 
 Package: maint-guide

## maint-guide 1.2.38

=== debian/changelog ===
maint-guide (1.2.38) unstable; urgency=medium

  * Fix "Link to Lintian User's Manual".  Closes: #819346, #821117
  * Fix s/dbuild/debuild/ typo and update its translations.
    Closes: #814593, #822260

 -- Osamu Aoki <osamu@debian.org>  Sun, 26 Feb 2017 13:03:57 +0900

## maint-guide 1.2.39

=== debian/changelog ===
maint-guide (1.2.39) unstable; urgency=medium

  * Fix dquilt bash completion.  Closes: #861084
  * Fix VCS-Browser. Closes: #861144
  * Drop menu section.  Closes: #861146 
  * Update translation: de
  * Update translation: zh_CN.  Closes: #645969
  * Trivial update translation: all
  * Use opencc as the backup PO string generator for Chinese
    translation.
  * Add PDF for zh-cn, zh-tw, and jp. Closes: #850523

 -- Osamu Aoki <osamu@debian.org>  Thu, 25 May 2017 23:17:12 +0900

## maint-guide 1.2.40

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # languages translated with PO files
 LANGPO	:=	ca de es fr it ja ru zh-cn zh-tw
 # languages to skip generation of PDF files
-NOPDF	:=	ja zh-cn zh-tw
+NOPDF	:=	
 # languages to build document
 LANGALL	=	en $(LANGPO)
 
@@ -190,11 +190,7 @@
 $(MANUAL).%.xml: $(DPO)/%.po $(MANUAL).en.xml
 	@$(call check-command, po4a-translate, po4a)
 	@$(call check-command, msgcat, gettext)
-	if [ -f $(DPO)/$*.add ]; then \
-	$(TRANSLATE) -m $(MANUAL).en.xml -a $(DPO)/$*.add -p $(DPO)/$*.po -l $(MANUAL).$*.xml ;\
-	else \
-	$(TRANSLATE) -m $(MANUAL).en.xml -p $(DPO)/$*.po -l $(MANUAL).$*.xml ;\
-	fi
+	$(DBIN)/genxml $*
 	sed -i -e 's/$(DPO)\/en\.ent/$(DPO)\/$*.ent/' $@
 
 #######################################################################
@@ -305,3 +301,7 @@
 
 #######################################################################
 ### Utility targets
+#######################################################################
+#######################################################################
+# $ make rsync     
+# export build result to http://people.debian.org/~osamu/$(MANUAL)/

=== debian/changelog ===
maint-guide (1.2.40) unstable; urgency=medium

  [ Osamu Aoki ]
  * Major English proof reading by Paul Hardy. Closes: #868277 
  * State this is about to be deprecated and point to the debmake-doc
    package where new practices are well documented.
    Closes: #858573, #861148, #861150,
  * Set urgency to medium.  Closes: #833322
  * Replace old URLs with tracker URL.  Closes: #861149, #864029
  * Recommend dch convention for debian/changelog.  Closes: #668185
  * No more priority extra.  Closes: #868281
  * Replace with --allow-downgrades.  Closes: #868279
  * Enable PDF build for all languages.

  [ Boyuan Yang ]
  * Update translation: zh_CN.
  * Update information about debhelper compat, Standards-Version, etc.
    + Standards-Version: 4.0.0
    + Recommend debian/compat: 10.  Closes: #868278
    + Vcs-*: use canonical form
  * Refresh all translation po/pot files.

  [ Helge Kreutzmann ]
  * Update translation: de.

 -- Osamu Aoki <osamu@debian.org>  Mon, 18 Sep 2017 00:11:03 +0900

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,12 @@
 Build-Depends-Indep: dblatex,
                      docbook-xml,
                      docbook-xsl,
-                     fonts-ipafont,
-                     fonts-liberation,
-                     ghostscript,
-                     gsfonts,
-                     lmodern,
+                     libopencc2-data,
+                     fonts-liberation2,
+                     fonts-vlgothic,
+                     fonts-wqy-microhei,
+                     locales-all | locales,
+                     opencc,
                      po4a,
                      texlive-lang-chinese,
                      texlive-lang-cyrillic,
@@ -21,13 +22,12 @@
                      texlive-lang-japanese,
                      texlive-lang-spanish,
                      texlive-xetex,
-                     tipa,
                      w3m,
                      xsltproc,
                      zip
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/ddp/maint-guide.git
-Vcs-Browser: https://anonscm.debian.org/cgit/dp/maint-guide.git
+Vcs-Browser: https://anonscm.debian.org/cgit/ddp/maint-guide.git
 Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
 
 Package: maint-guide

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 LANGPO		:= ca de es fr it ja ru zh-cn zh-tw
 
 # Override main Makefile to build CJK under sid
-# No PDF build for these lunguages
-LANGNOPDF	:= ja zh-cn zh-tw 
+# No PDF build for these languages
+LANGNOPDF	:= 
 
 ## comment out to build with the cleaner log (it slows!)
 #BUILDOPT	:= --parallel

## maint-guide 1.2.41

=== debian/changelog ===
maint-guide (1.2.41) unstable; urgency=medium

  * Team upload.
  * d/control: Apply "wrap-and-sort -abst".
  * d/control: Use Salsa platform for Vcs fields.
  * Bump Standards-Version to 4.1.4.
    + Remove "extra" package priority.
    + Set all packages as M-A: foreign.
  * Refresh zh-cn translation.
  * Remove all backtick characters from text to workaround
    FTBFS with zh-* PDF files. Closes: #897554.
  * Apply French translation update. Closes: #895415.
    Many thanks to Jean-Paul Guillonneau and debian-l10n-french
    list.
  * Fix "debuild clean" invocation error by adding double dash
    before the target. Closes: #879690.
  * Remove unnecessary inclusion of default.mk files in d/rules
    example file. Closes: #896154.

  [ Helge Kreutzmann ]
    * Update translation: de.

 -- Boyuan Yang <073plan@gmail.com>  Mon, 07 May 2018 11:20:06 +0800

## maint-guide 1.2.42

=== debian/changelog ===
maint-guide (1.2.42) unstable; urgency=medium

  * Update translation: de, ja, it, zh-cn 

 -- Osamu Aoki <osamu@debian.org>  Mon, 23 Jul 2018 23:54:13 +0900

=== debian/control ===
--- 
+++ 
@@ -2,47 +2,54 @@
 Section: doc
 Priority: optional
 Maintainer: Osamu Aoki <osamu@debian.org>
-Uploaders: Josip Rodin <joy-packages@debian.org>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: dblatex,
-                     docbook-xml,
-                     docbook-xsl,
-                     libopencc2-data,
-                     fonts-liberation2,
-                     fonts-vlgothic,
-                     fonts-wqy-microhei,
-                     locales-all | locales,
-                     opencc,
-                     po4a,
-                     texlive-lang-chinese,
-                     texlive-lang-cyrillic,
-                     texlive-lang-french,
-                     texlive-lang-german,
-                     texlive-lang-italian,
-                     texlive-lang-japanese,
-                     texlive-lang-spanish,
-                     texlive-xetex,
-                     w3m,
-                     xsltproc,
-                     zip
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/ddp/maint-guide.git
-Vcs-Browser: https://anonscm.debian.org/cgit/ddp/maint-guide.git
-Homepage: http://www.debian.org/doc/devel-manuals#maint-guide
+Uploaders:
+ Josip Rodin <joy-packages@debian.org>,
+Build-Depends:
+ debhelper (>= 11~),
+Build-Depends-Indep:
+ dblatex,
+ docbook-xml,
+ docbook-xsl,
+ fonts-liberation2,
+ fonts-vlgothic,
+ fonts-wqy-microhei,
+ libopencc2-data,
+ lmodern,
+ locales-all | locales,
+ opencc,
+ po4a,
+ texlive-lang-chinese,
+ texlive-lang-cyrillic,
+ texlive-lang-french,
+ texlive-lang-german,
+ texlive-lang-italian,
+ texlive-lang-japanese,
+ texlive-lang-spanish,
+ texlive-xetex,
+ w3m,
+ xsltproc,
+ zip,
+Standards-Version: 4.1.4
+Vcs-Git: https://salsa.debian.org/debian/maint-guide.git
+Vcs-Browser: https://salsa.debian.org/debian/maint-guide
+Homepage: https://www.debian.org/doc/devel-manuals#maint-guide
 
 Package: maint-guide
 Architecture: all
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide
  This package contains the Debian New Maintainers' Guide.
  .
@@ -63,18 +70,20 @@
 
 Package: maint-guide-ca
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (Catalan)
  This package contains the Debian New Maintainers' Guide.
  .
@@ -97,18 +106,20 @@
 
 Package: maint-guide-de
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (German)
  This package contains the Debian New Maintainers' Guide.
  .
@@ -131,18 +142,20 @@
 
 Package: maint-guide-es
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (Spanish)
  This package contains the Debian New Maintainers' Guide.
  .
@@ -165,18 +178,20 @@
 
 Package: maint-guide-fr
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (French)
  This package contains the Debian New Maintainers' Guide.
  .
@@ -199,18 +214,20 @@
 
 Package: maint-guide-it
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (Italian)
  This package contains the Debian New Maintainers' Guide.
  .
@@ -233,18 +250,20 @@
 
 Package: maint-guide-ja
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (Japanese)
  This package contains the Debian New Maintainers' Guide.
  .
@@ -267,18 +286,20 @@
 
 Package: maint-guide-ru
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (Russian)
  This package contains the Debian New Maintainers' Guide.
  .
@@ -301,18 +322,20 @@
 
 Package: maint-guide-zh-cn
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (Chinese(cn))
  This package contains the Debian New Maintainers' Guide.
  .
@@ -335,18 +358,20 @@
 
 Package: maint-guide-zh-tw
 Architecture: all
-Priority: extra
-Depends: ${misc:Depends}
-Suggests: debian-policy,
-          developers-reference,
-          devscripts,
-          dh-make,
-          doc-base,
-          dupload | dput,
-          fakeroot,
-          lintian,
-          pbuilder,
-          quilt
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
 Description: Debian New Maintainers' Guide (Chinese(tw))
  This package contains the Debian New Maintainers' Guide.
  .

=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 
 # Override main Makefile to build CJK under sid
 # No PDF build for these languages
-LANGNOPDF	:= 
+LANGNOPDF	:=
 
 ## comment out to build with the cleaner log (it slows!)
-#BUILDOPT	:= --parallel
+#BUILDOPT	:= --no-parallel
 BUILDOPT	:=
 
 VERSION		:= $(shell sed -ne '1s/[-a-zA-Z0-9 ]*(\([^()]*\)) .*$$/\1/p' debian/changelog)
@@ -60,4 +60,3 @@
 	-rm -f debian/*.doc-base
 	-rm -f debian/*.lintian-overrides
 	$(MAKE) "LANGPO=$(LANGPO)"  clean
-

## maint-guide 1.2.43

=== debian/changelog ===
maint-guide (1.2.43) unstable; urgency=medium

  [ Holger Wansing ]
  * Add Vietnamese translation by Giap Tran.
  * Update FHS links from version 2.3 to 3.0. Thanks to Sylvain Viart for hint
    and patch origin.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Osamu Aoki ]
  * Add vi to build.
 
 -- Osamu Aoki <osamu@debian.org>  Mon, 04 Mar 2019 23:33:39 +0900

=== debian/control ===
--- 
+++ 
@@ -24,6 +24,7 @@
  texlive-lang-german,
  texlive-lang-italian,
  texlive-lang-japanese,
+ texlive-lang-other,
  texlive-lang-spanish,
  texlive-xetex,
  w3m,
@@ -320,6 +321,42 @@
  .
  This is Russian translation.
 
+Package: maint-guide-vi
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ ${misc:Depends},
+Suggests:
+ debian-policy,
+ developers-reference,
+ devscripts,
+ dh-make,
+ doc-base,
+ dupload | dput,
+ fakeroot,
+ lintian,
+ pbuilder,
+ quilt,
+Description: Debian New Maintainers' Guide (Vietnamese)
+ This package contains the Debian New Maintainers' Guide.
+ .
+ This document tries to describe the building of a Debian package to ordinary
+ Debian users and prospective developers. It uses fairly non-technical
+ language, and it's well covered with working examples.
+ .
+ The document contains these chapters:
+     * 1 Getting started The Right Way
+     * 2 First steps
+     * 3 Modifying the source
+     * 4 Required files under debian directory
+     * 5 Other files under debian directory
+     * 6 Building the package
+     * 7 Checking the package for errors
+     * 8 Uploading the package
+     * 9 Updating the package
+ .
+ This is Vietnamese translation.
+
 Package: maint-guide-zh-cn
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 # Languages which generate DocBook XML files from PO files
 # (More conservative than the ones in Makefile)
-LANGPO		:= ca de es fr it ja ru zh-cn zh-tw
+LANGPO		:= ca de es fr it ja ru vi zh-cn zh-tw
 
 # Override main Makefile to build CJK under sid
 # No PDF build for these languages

## maint-guide 1.2.43+nmu1

=== debian/changelog ===
maint-guide (1.2.43+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 15:48:24 +0800

## maint-guide 1.2.44

=== debian/changelog ===
maint-guide (1.2.44) unstable; urgency=medium

  * Team upload.
    + Reflect recent changes in git packaging repository.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set debhelper-compat version in Build-Depends.
  * Fix day-of-week for changelog entry 0.99.1.

  [ Boyuan Yang ]
  * Miscellaneous typo fixes.
  * doc/04_dreq.xml: Update common-license list.
  * Bump debhelper from old 11 to 13.
  * common.ent: Fix broken link to Debian FAQ.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Jun 2020 11:19:02 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Josip Rodin <joy-packages@debian.org>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 13),
 Build-Depends-Indep:
  dblatex,
  docbook-xml,
@@ -30,7 +30,7 @@
  w3m,
  xsltproc,
  zip,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/maint-guide.git
 Vcs-Browser: https://salsa.debian.org/debian/maint-guide
 Homepage: https://www.debian.org/doc/devel-manuals#maint-guide

## maint-guide 1.2.45

=== debian/changelog ===
maint-guide (1.2.45) unstable; urgency=high

  * Team upload.

  [ Holger Wansing ]
  * libopencc2-data has been replaced by libopencc-data. Closes: #964616

  [ Boyuan Yang ]
  * Drop dependency on libopencc*-data. This package will be brought
    in by the dependency of opencc.

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jul 2020 15:45:45 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  fonts-liberation2,
  fonts-vlgothic,
  fonts-wqy-microhei,
- libopencc2-data,
  lmodern,
  locales-all | locales,
  opencc,

## maint-guide 1.2.46

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # base file name excluding file extension
 MANUAL	:=	maint-guide
 # languages translated with PO files
-LANGPO	:=	ca de es fr it ja ru zh-cn zh-tw
+LANGPO	:=	ca de es fr it ja ru vi zh-cn zh-tw
 # languages to skip generation of PDF files
 NOPDF	:=	
 # languages to build document

=== debian/changelog ===
maint-guide (1.2.46) unstable; urgency=medium

  * Team upload.
  * po: zh-cn: Some minor fix to zh-cn translation.
  * Completely drop text about topgit. Handling patch queue using
    topgit is deprecated and the topgit software is now unmaintained.
  * debian/control: Bump Standards-Version to 4.5.1.
  * debian/copyright: Update "Source" field.

 -- Boyuan Yang <byang@debian.org>  Thu, 24 Dec 2020 11:17:17 -0500

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  w3m,
  xsltproc,
  zip,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://salsa.debian.org/debian/maint-guide.git
 Vcs-Browser: https://salsa.debian.org/debian/maint-guide
 Homepage: https://www.debian.org/doc/devel-manuals#maint-guide

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 .PHONY: prep
 #######################################################################
 %:
-	dh  $@
+	dh $@ 
 
 override_dh_auto_build:
 	cd debian ;\

## maint-guide 1.2.47

=== debian/changelog ===
maint-guide (1.2.47) unstable; urgency=medium

  * Mark outdatedness and point to debmake-doc.
  * Explicit color.  Closes: #943869
  * Drop *.ex mention.  Closes: #96000

 -- Osamu Aoki <osamu@debian.org>  Sun, 21 Nov 2021 13:40:34 +0900

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
  w3m,
  xsltproc,
  zip,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/maint-guide.git
 Vcs-Browser: https://salsa.debian.org/debian/maint-guide
 Homepage: https://www.debian.org/doc/devel-manuals#maint-guide
